> # NAME

> cgGetNamedEffectParameter - get an effect parameter by name

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGparameter cgGetNamedEffectParameter( CGeffect effect,
>                                              const char * name );

> # PARAMETERS

> effect

>   The effect from which to retrieve the parameter.

> name

>   The name of the parameter to retrieve.

> # RETURN VALUES

> Returns the named parameter from the effect.

> Returns NULL if the effect has no parameter corresponding to name.

> # DESCRIPTION

> The parameters of a effect can be retrieved directly by name using cgGetNamedEffectParameter. The names of the parameters in a effect can be discovered by iterating through the effect's parameters (see cgGetFirstEffectParameter and cgGetNextEffectParameter), calling cgGetParameterName for each one in turn.

> The given name may be of the form "foo.bar[2]", which retrieves the second element of the array "bar" in a structure named "foo".

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> # HISTORY

> cgGetNamedEffectParameter was introduced in Cg 1.4.

> # SEE ALSO

> cgGetFirstEffectParameter, cgGetNextEffectParameter, cgGetParameterName, cgGetNamedParameter